function insert(rrow)
{
row=nhd+nrd*ncd+rrow*(ncd+1)
rw=(document.%sform.elements[row].value)-1
if(document.%sform.elements[row+1].value !="")
if(document.%sform.elements[nhd+(nrd-1)*ncd].value=="")
{
	swapin()
	for(i=nrd-1;i>rw;i--) for (j=0;j<ncd;j++)
	document.%sform.elements[nhd+i*ncd+j].value=document.%sform.elements[nhd+i*ncd+j-ncd].value
	for (j=0;j<ncd;j++) document.%sform.elements[nhd+i*ncd+j].value=""
	swapout()
}
else alert ("NO PERMITE NUEVA INSERCION")
else
{
	swapin()
	for(i=rw; i<nrd-1;i++) for (j=0;j<ncd;j++)
	document.%sform.elements[nhd+i*ncd+j].value=document.%sform.elements[nhd+i*ncd+j+ncd].value
	for (j=0;j<ncd;j++)
	document.%sform.elements[nhd+i*ncd+j].value=""
	swapout()
}
}
